# Invoice - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.payments / Invoice

# Invoice

(common) `data class Invoice : Amounted, Currencied` (source)

### Constructors

(common)

#### <init>

`Invoice(title: String, description: String, startParameter: StartParameter, currency: Currency, amount: Long)`

### Properties

(common)

#### amount

`val amount: Long`

(common)

#### currency

`val currency: Currency`

(common)

#### description

`val description: String`

(common)

#### startParameter

`val startParameter: StartParameter`

(common)

#### title

`val title: String`